Subject: Re: [urn] DOI URN namespace registration

From: [email-masked] (Dale R. Worley)
Date: Sun, 24 May 2020 12:05:58 -0400

"Hakala, Juha E" <[email-masked]> writes:
> [...] I have been asked to write a namespace registration request for
> DOI, and that may have a major impact on both URN and DOI
> systems. That request needs to be processed promptly.

I was going to ask, As an opening question has consideration been given
to registering DOI as a URI scheme?  My memory is that DOIs are written
in a format that is compatible with URI syntax.

But the Wikipedia page says "Most legal Unicode characters are allowed
in these strings, which are interpreted in a case-insensitive manner."
So DOI syntax is not compatible with URI syntax.  And what "case
insensitive" means in a fully internationalized context is (in my
memory) not well-defined.

So yes, there are going to be some complexities.

Dale

---

From: John C Klensin <[email-masked]>
Date: Sun, 24 May 2020 12:27:48 -0400

--On Sunday, May 24, 2020 12:05 -0400 "Dale R. Worley"
<[email-masked]> wrote:

>> [...] I have been asked to write a namespace registration
>> request for DOI, and that may have a major impact on both URN
>> and DOI systems. That request needs to be processed promptly.
> 
> I was going to ask, As an opening question has consideration
> been given to registering DOI as a URI scheme?  My memory is
> that DOIs are written in a format that is compatible with URI
> syntax.

Not quite.  And the Authority bit of URIs/URLs gets complicated,
complicated enough to pose little advantage over
https://www.doi.org/... and the disadvantage that many or most
web browsers have seemed reluctant to incorporate new URI
schemes.
 
> But the Wikipedia page says "Most legal Unicode characters are
> allowed in these strings, which are interpreted in a
> case-insensitive manner." So DOI syntax is not compatible with
> URI syntax.  And what "case insensitive" means in a fully
> internationalized context is (in my memory) not well-defined.

Your memory is correct except that "no well-defined" may be too
polite.   And that "most legal..." language is a problem (one
that, IIR, Juha and I have discussed).

> So yes, there are going to be some complexities.

Indeed.

best,
   john

---

From: "John Levine" <[email-masked]>
Date: 24 May 2020 12:50:38 -0400

>in a format that is compatible with URI syntax.

Well, sort of. DOIs are handles, so the actual format of a DOI is
10.<number>/<LocalName> where the LocalName is arbitrary UTF-8 and is
in practice interpreted by the DOI registration agency that registered
the DOI. Since the Handle protocol never went anywhere, DOIs are now
usually written as URLs using the DOI Foundation's lookup engine:

	https://dx.doi.org/10.17487/RFC3651
	https://doi.org/10.17487/RFC3651

(The LocalName is an opaque string; in retrospect it was a mistake for
me to assign DOIs to RFCs that look like they mean something.)

Given that DOIs are usually resolved by looking up URLs, it is clear
that in practice they are compatible with URLs because they *are*
URLs. I wouldn't pay too much attention to the Wikipedia article since
any sentence that uses both "Unicode" and "case insensitive" without a
negation in between is by definition wrong.

Also see this, and the following two sections which explain
how to display a DOI as a URI and as a URN:

https://www.doi.org/doi_handbook/2_Numbering.html#2.6.1

They say the DOI name 10.123/456 can be written in the form https://doi.org/urn:doi:10.123:456.

Beyond the case sensitivity thing which I think is a red herring, I
would ask why they're asking for a DOI URN rather than a handle URN
since they're the same namespace. I think I get the politics, but it
also seems to me that the potential for multiple URN namespaces with
the same contents doesn't seem like a good idea. 

FYI, the doi.org server can resolve at least some non-DOI handles such
as the handles assigned to the ITU.  This will get you to the ITU X.509
spec:

https://doi.org/11.1002/1000/14033

R's,
John

---

From: Carsten Bormann <[email-masked]>
Date: Sun, 24 May 2020 20:10:50 +0200

> https://doi.org/11.1002/1000/14033

Nice!

(Except for the little problem that the doilit tool runs into:
redirection forbidden: https://dx.doi.org/11.1002/1000/14033 -> http://handle.itu.int/11.1002/1000/14033-en (RuntimeError).
An https resource clearly should not redirect to an insecure http resource…
How fitting for an X.509 reference.)

Grüße, Carsten

---

From: [email-masked] (Dale R. Worley)
Date: Sun, 24 May 2020 21:21:22 -0400

"John Levine" <[email-masked]> writes:
> ...
> URLs.
> ...

Unless they've retroactively removed non-ASCII characters from being
valid in DOIs, then it's certain that DOIs *aren't* URLs, and quite
possible that nobody has ever properly specified how DOIs are mapped
into URLs for lookup.

> since they're the same namespace.

It certainly seems preferable to solve the general case rather than just
the special case.  But I notice that though I can't remember anything
about "the handle system", my subconscious supplies a frisson when I
read that phrase.

Dale

---

From: "John R Levine" <[email-masked]>
Date: 24 May 2020 21:36:24 -0400

> possible that nobody has ever properly specified how DOIs are mapped

That's possible but on the other hand, people have been looking up
DOIs as URLs forever so there is clearly a convention that works.
While the handle spec says that the local part can be any UTF-8, I
can't ever recall seeing a DOI that wasn't ASCII. Given that DOIs are
opaque identifiers, there's no obvious benefit to using non-ASCII.

> about "the handle system", my subconscious supplies a frisson when I

There is certainly a lot of unpleasant political history.  The spec
is in RFCs 3650 and 3651.  The first component of a handle is the authority,
and 10.* authorities are DOIs.

I don't think it's unreasoanble to have a URN namespae for handles or
DOIs, and I don't think it should be hard to make it compatible with
existing DOI practice, but I do think there's loose ends to be tied
down

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly

---

From: "Hakala, Juha E" <[email-masked]>
Date: Mon, 25 May 2020 11:26:49 +0000

Hello Dale; all, 

some comments below. 

-----Alkuperäinen viesti-----
Lähettäjä: urn <[email-masked]> Puolesta Dale R. Worley
Lähetetty: maanantai 25. toukokuuta 2020 4.21
Vastaanottaja: John Levine <[email-masked]>
Kopio: [email-masked]
Aihe: Re: [urn] DOI URN namespace registration

> that in practice they are compatible with URLs because they *are* 

Unless they've retroactively removed non-ASCII characters from being valid in DOIs, then it's certain that DOIs *aren't* URLs, and quite possible that nobody has ever properly specified how DOIs are mapped into URLs for lookup.

Juha: DOI handbook, section 2.5 (https://www.doi.org/doi_handbook/2_Numbering.html#2.5) requires that DOIs expressed as URIs must follow URI syntax, including percent encoding. Since DOI is an actionable identifier, URI presentation is a default presentation for DOIs. 

Although the default character set for all Handles, including DOIs, is Unicode, almost all DOIs rely on printable ASCII character sets.  

> since they're the same namespace.

Juha: Handle and DOI are different identifier systems although they share the same technical base. DOI system is administered by International DOI Foundation, and they have the mandate to register a URN namespace for DOI (and asked me to help in the process). Handle system and Handle specifications are managed by DONA Foundation, and they have not required registration of a URN namespace for Handles. 

Handle.net resolver already supports both urn:doi and urn:handle URNs, so I expect that DONA Foundation or a third party mandated by it may start urn:handle registration process in the future. 

DONA Foundation is revising the Handle specifications, but so far no drafts have been made publicly available for comments. 

Best regards, 

Juha

_______________________________________________
urn mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/urn

---

From: "Henry S. Thompson" <[email-masked]>
Date: Mon, 25 May 2020 13:52:20 +0100

> Juha: Handle and DOI are different identifier systems although they
> share the same technical base. DOI system is administered by
> International DOI Foundation, and they have the mandate to register a
> URN namespace for DOI (and asked me to help in the process). Handle
> system and Handle specifications are managed by DONA Foundation, and
> they have not required registration of a URN namespace for Handles.

I'm not fussed about the character issue, but I am slightly perplexed
about whether we're talking about a URN namespace or a URI scheme.

In empirical work based on the Common Crawl archive, we've found
substantial use of 'doi' as a URI scheme, despite it's not being
registered.

For example, in 4 monthly samples between 2014 and 2017 we found 100s of
thousands of 'doi:...' URIs in "meta content='...'" or "a href='...'" 
contexts, compared to 10s of millions of 'http(s)://(dx.)doi.org'.

I think it makes at least as much sense to register 'doi' as a URI
scheme as it does to register it as URN namespace...

ht
-- 
       Henry S. Thompson, School of Informatics, University of Edinburgh
      10 Crichton Street, Edinburgh EH8 9AB, SCOTLAND -- (44) 131 650-4440
                Fax: (44) 131 650-4587, e-mail: [email-masked]
                       URL: http://www.ltg.ed.ac.uk/~ht/
 [mail from me _always_ has a .sig like this -- mail without it is forged spam]

The University of Edinburgh is a charitable body, registered in
Scotland, with registration number SC005336.

---

From: "John R Levine" <[email-masked]>
Date: 25 May 2020 11:16:03 -0400

> Juha: Handle and DOI are different identifier systems although they share the same technical base. DOI system is administered by International DOI Foundation, and they have the mandate to register…

Thanks, but that's not what I'm asking.  Is there ever a situation where a 
10.xx/yy DOI and the same 10.xx/yy handle would refer to different 
resources?  I understand that the answer is no.  That's what I mean by the 
same namespace.

As I noted in a previous messages, there are other handles such as the 
ITU's 11.x which resolve as https://doi.org/ URLs, which even more 
strongly suggests they're the same namespace.

Regards,

---

From: "Hakala, Juha E" <[email-masked]>
Date: Tue, 26 May 2020 07:16:41 +0000

Hello John,

-----Alkuperäinen viesti-----
Lähettäjä: John R Levine <[email-masked]> 
Lähetetty: maanantai 25. toukokuuta 2020 18.16
Vastaanottaja: Hakala, Juha E <[email-masked]>
Kopio: [email-masked]
Aihe: Re: VS: [urn] DOI URN namespace registration

> Juha: Handle and DOI are different identifier systems although they share the same technical base. DOI system is administered by International DOI Foundation, and they have the mandate to register…

Thanks, but that's not what I'm asking.  Is there ever a situation where a 10.xx/yy DOI and the same 10.xx/yy handle would refer to different resources?  I understand that the answer is no.  That's what I mean by the same namespace.

Juha: correct, you can change the resolver address in the DOI URI from https://doi.org to http://hdl.handle.net and the DOI still resolves to the same resource. And vice versa. International DOI Foundation is considering a possibility of allowing a retrospective upgrade from Handles to DOIs, so that in the future some DOIs may be former Handles with prefixes which do not start with "10.".

>From my point of view (and that of the International DOI Foundation) the fact that DOIs and Handles share the same technical infrastructure does not mean that they should share the same URN namespace as well. There is an important difference between these identifier systems, namely that DOIs are centrally managed, whereas Handles don't have such administrative layer. This means, for instance, that DOIs are likely to be more persistent than Handles, since persistence of a URN is primarily not a technical, but an administrative challenge. 

The other side of this coin is that the International DOI Foundation has a mandate to require registration of a URN namespace for DOI, but they cannot register a namespace also for Handles. Only DONA Foundation can request a namespace for Handle (but not for DOI). A single namespace covering both identifiers not possible since a) this is not what the registrant is asking for, and b) Handles and DOIs are different identifier systems although they share the same technical basis.

DOI is an ISO standard is ISO 26324:2012. As regards the syntax and character set, it relies on informational RFCs which specify Handles, but there are also some additional constraints which do not apply to Handles, such as guidelines for presenting ISBNs as DOIs.   

Best regards, 

Juha